al_register_assert_handler(3)

NAME

al_register_assert_handler - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_register_assert_handler(void (*handler)(char const *expr,
       char const *file, int line, char const *func))

DESCRIPTION

Register a function to be called when an internal Allegro assertion fails. Pass NULL to reset to the default behaviour, which is to do whatever the standard assert() macro does.

SINCE

5.0.6, 5.1.0